import { visit, concatAST } from 'graphql';
import { TypeScriptDocumentsVisitor } from './visitor';
export const plugin = (schema, documents, config) => {
    const allAst = concatAST(documents.reduce((prev, v) => {
        return [...prev, v.content];
    }, []));
    const visitorResult = visit(allAst, {
        leave: new TypeScriptDocumentsVisitor(schema, config)
    });
    return visitorResult.definitions.join('\n');
};
//# sourceMappingURL=index.js.map